/*****************************************************************************
 * $Source: /expand6/cvsroot/charm/src/Common/ck-ldb/RandRefLB.h,v $
 * $Author: olawlor $
 * $Date: 2000/05/18 03:37:51 $
 * $Revision: 1.3 $
 *****************************************************************************/

#ifndef _RANDREFLB_H_
#define _RANDREFLB_H_

#include "CentralLB.h"
#include "RandRefLB.decl.h"

void CreateRandRefLB();

class RandRefLB : public CentralLB {
public:
  RandRefLB();
  RandRefLB(CkMigrateMessage *m) {}
private:
  CmiBool QueryBalanceNow(int step);
  CLBMigrateMsg* Strategy(CentralLB::LDStats* stats, int count);
};

#endif /* _RANDCENTLB_H_ */
